Use the GBBankAccounts API to create and manage GB bank account objects
Attributes
- idstring
The ID of the GBBankAccount object.
- objectstring, value is "v2.core.vault.gb_bank_account"
String representing the object’s type. Objects of the same type share the same value of the object field.
- archivedboolean
Whether this bank account object was archived. Bank account objects can be archived through the /archive API, and they will not be automatically archived by Stripe. Archived bank account objects cannot be used as outbound destinations and will not appear in the outbound destination list.
- bank_
account_ typeenum The type of the bank account (checking or savings).
Possible enum valuescheckingChecking account.
savingsSavings account.
- bank_
namestring The name of the bank.
- confirmation_
of_ payeeobject Information around the status of Confirmation of Payee matching done on this bank account. Confirmation of Payee is a name matching service that must be done before making OutboundPayments in the UK.
- createdtimestamp
Creation time.
- last4string
The last 4 digits of the account number or IBAN.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - sort_
codestring The Sort Code of the bank account.
{ "id": "gbba_test_61QxvysjMYlAri7b116NoALk2zSQmWXk6WVQ0RRC4FH6", "object": "v2.core.vault.gb_bank_account", "archived": false, "bank_account_type": "checking", "bank_name": "Test Bank", "last4": "2345", "created": "2024-08-16T21:49:30.380Z", "sort_code": "108800", "confirmation_of_payee": { "result": { "created": "2024-10-25T17:29:53.000Z", "match_result": "partial_match", "matched": { "business_type": "personal", "name": "Jenny Rosen" }, "message": "The provided name Jennifer Rosen partially matches the name Jenny Rosen the bank has on file for this account.", "provided": { "business_type": "personal", "name": "Jennifer Rosen" } }, "status": "confirmed" }}Create a GB bank account.
Learn more about calling API v2 endpoints.Parameters
- account_
numberstringRequired The Account Number of the bank account.
- sort_
codestringRequired The Sort Code of the bank account.
- bank_
account_ typeenum The type of the bank account (checking or savings).
Possible enum valuescheckingChecking account.
savingsSavings account.
- confirmation_
of_ payeeobject Whether or not to automatically perform Confirmation of Payee to verify the users information against what was provided by the bank. Doing so is required for all bank accounts not owned by you before making domestic UK OutboundPayments.
Returns
Response attributes
- idstring
The ID of the GBBankAccount object.
- objectstring, value is "v2.core.vault.gb_bank_account"
String representing the object’s type. Objects of the same type share the same value of the object field.
- archivedboolean
Whether this bank account object was archived. Bank account objects can be archived through the /archive API, and they will not be automatically archived by Stripe. Archived bank account objects cannot be used as outbound destinations and will not appear in the outbound destination list.
- bank_
account_ typeenum The type of the bank account (checking or savings).
Possible enum valuescheckingChecking account.
savingsSavings account.
- bank_
namestring The name of the bank.
- confirmation_
of_ payeeobject Information around the status of Confirmation of Payee matching done on this bank account. Confirmation of Payee is a name matching service that must be done before making OutboundPayments in the UK.
- createdtimestamp
Creation time.
- last4string
The last 4 digits of the account number or IBAN.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - sort_
codestring The Sort Code of the bank account.
The resource wasn’t found.
An idempotent retry occurred with different request parameters.
{ "id": "gbba_test_61QxvysjMYlAri7b116NoALk2zSQmWXk6WVQ0RRC4FH6", "object": "v2.core.vault.gb_bank_account", "archived": false, "bank_account_type": "checking", "bank_name": "Test Bank", "last4": "2345", "created": "2024-08-16T21:49:30.380Z", "sort_code": "108800", "confirmation_of_payee": { "result": { "created": "2024-10-25T17:29:53.000Z", "match_result": "partial_match", "matched": { "business_type": "personal", "name": "Jenny Rosen" }, "message": "The provided name Jennifer Rosen partially matches the name Jenny Rosen the bank has on file for this account.", "provided": { "business_type": "personal", "name": "Jennifer Rosen" } }, "status": "confirmed" }, "livemode": true}Retrieve a GB bank account.
Learn more about calling API v2 endpoints.Parameters
- idstringRequired
The ID of the GBBankAccount object.
Returns
Response attributes
- idstring
The ID of the GBBankAccount object.
- objectstring, value is "v2.core.vault.gb_bank_account"
String representing the object’s type. Objects of the same type share the same value of the object field.
- archivedboolean
Whether this bank account object was archived. Bank account objects can be archived through the /archive API, and they will not be automatically archived by Stripe. Archived bank account objects cannot be used as outbound destinations and will not appear in the outbound destination list.
- bank_
account_ typeenum The type of the bank account (checking or savings).
Possible enum valuescheckingChecking account.
savingsSavings account.
- bank_
namestring The name of the bank.
- confirmation_
of_ payeeobject Information around the status of Confirmation of Payee matching done on this bank account. Confirmation of Payee is a name matching service that must be done before making OutboundPayments in the UK.
- createdtimestamp
Creation time.
- last4string
The last 4 digits of the account number or IBAN.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - sort_
codestring The Sort Code of the bank account.
The resource wasn’t found.
{ "id": "gbba_test_61QxvysjMYlAri7b116NoALk2zSQmWXk6WVQ0RRC4FH6", "object": "v2.core.vault.gb_bank_account", "archived": false, "bank_account_type": "checking", "bank_name": "Test Bank", "last4": "2345", "created": "2024-08-16T21:49:30.380Z", "sort_code": "108800", "confirmation_of_payee": { "result": { "created": "2024-10-25T17:29:53.000Z", "match_result": "partial_match", "matched": { "business_type": "personal", "name": "Jenny Rosen" }, "message": "The provided name Jennifer Rosen partially matches the name Jenny Rosen the bank has on file for this account.", "provided": { "business_type": "personal", "name": "Jennifer Rosen" } }, "status": "confirmed" }, "livemode": true}Archive a GBBankAccount object. Archived GBBankAccount objects cannot be used as outbound destinations and will not appear in the outbound destination list.
Learn more about calling API v2 endpoints.Parameters
- idstringRequired
The ID of the GBBankAccount object.
Returns
Response attributes
- idstring
The ID of the GBBankAccount object.
- objectstring, value is "v2.core.vault.gb_bank_account"
String representing the object’s type. Objects of the same type share the same value of the object field.
- archivedboolean
Whether this bank account object was archived. Bank account objects can be archived through the /archive API, and they will not be automatically archived by Stripe. Archived bank account objects cannot be used as outbound destinations and will not appear in the outbound destination list.
- bank_
account_ typeenum The type of the bank account (checking or savings).
Possible enum valuescheckingChecking account.
savingsSavings account.
- bank_
namestring The name of the bank.
- confirmation_
of_ payeeobject Information around the status of Confirmation of Payee matching done on this bank account. Confirmation of Payee is a name matching service that must be done before making OutboundPayments in the UK.
- createdtimestamp
Creation time.
- last4string
The last 4 digits of the account number or IBAN.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - sort_
codestring The Sort Code of the bank account.
The resource wasn’t found.
{ "id": "gbba_test_61QxvysjMYlAri7b116NoALk2zSQmWXk6WVQ0RRC4FH6", "object": "v2.core.vault.gb_bank_account", "archived": true, "bank_account_type": "checking", "bank_name": "Test Bank", "last4": "2345", "created": "2024-08-16T21:49:30.380Z", "sort_code": "108800", "confirmation_of_payee": { "result": { "created": "2024-10-25T17:29:53.000Z", "match_result": "partial_match", "matched": { "business_type": "personal", "name": "Jenny Rosen" }, "message": "The provided name Jennifer Rosen partially matches the name Jenny Rosen the bank has on file for this account.", "provided": { "business_type": "personal", "name": "Jennifer Rosen" } }, "status": "confirmed" }, "livemode": true}